local BoxTallyMode = CrashAddon.BoxTallyMode

/*this handles the HUD that displays how many boxes are broken vs how many are
in the stage total*/
local function MonitorTallyHUD(v, player, cam)
	if BoxTallyMode() and CrashAddon.boxtotal > 0
		v.drawString(195, 5, "Boxes: ", V_MONOSPACE|V_SNAPTORIGHT|V_BROWNMAP|
				V_ALLOWLOWERCASE, "left")
		v.drawString(300, 5, (CrashAddon.boxtotal - CrashAddon.boxcount) + "/" + 
				CrashAddon.boxtotal, V_MONOSPACE|V_SNAPTORIGHT|V_ORANGEMAP|
				V_ALLOWLOWERCASE, "right")
	end
end
hud.add(MonitorTallyHUD, "game")