local BoxTallyMode = CrashAddon.BoxTallyMode

//this replaces all monitors that get spawned in with boxes
local TVReplacements = {
	[MT_RING_BOX] = MT_RINGCRATE,
	[MT_PITY_BOX] = MT_AKUAKUBOX,
	[MT_ATTRACT_BOX] = MT_AKUAKUBOX,
	[MT_FORCE_BOX] = MT_AKUAKUBOX,
	[MT_ARMAGEDDON_BOX] = MT_TNTBOX,
	[MT_WHIRLWIND_BOX] = MT_AKUAKUBOX,
	[MT_ELEMENTAL_BOX] = MT_AKUAKUBOX,
	[MT_SNEAKERS_BOX] = MT_BLANKBOX,
	[MT_INVULN_BOX] = MT_AKUAKUBOX,
	[MT_1UP_BOX] = MT_BLANKBOX,//MT_LIFECRATE,
	[MT_EGGMAN_BOX] = MT_NITROBOX,
	[MT_MIXUP_BOX] = MT_BLANKBOX,
	[MT_MYSTERY_BOX] = MT_BLANKBOX,
	[MT_GRAVITY_BOX] = MT_BLANKBOX,
	[MT_RECYCLER_BOX] = MT_BLANKBOX,
	[MT_SCORE1K_BOX] = MT_BLANKBOX,
	[MT_SCORE10K_BOX] = MT_BLANKBOX,
	[MT_FLAMEAURA_BOX] = MT_AKUAKUBOX,
	[MT_BUBBLEWRAP_BOX] = MT_AKUAKUBOX,
	[MT_THUNDERCOIN_BOX] = MT_AKUAKUBOX
}

local function TVReplacer(mo)
	if not BoxTallyMode()
		return
	end
	P_SpawnMobjFromMobj(mo, 0, 0, 0, TVReplacements[mo.type]).crashmapbox = 
			mo.crashmapbox
	P_RemoveMobj(mo)
end

//hooks
addHook("MobjThinker", TVReplacer, MT_RING_BOX)
addHook("MobjThinker", TVReplacer, MT_PITY_BOX)
addHook("MobjThinker", TVReplacer, MT_ATTRACT_BOX)
addHook("MobjThinker", TVReplacer, MT_FORCE_BOX)
addHook("MobjThinker", TVReplacer, MT_ARMAGEDDON_BOX)
addHook("MobjThinker", TVReplacer, MT_WHIRLWIND_BOX)
addHook("MobjThinker", TVReplacer, MT_ELEMENTAL_BOX)
addHook("MobjThinker", TVReplacer, MT_SNEAKERS_BOX)
addHook("MobjThinker", TVReplacer, MT_INVULN_BOX)
addHook("MobjThinker", TVReplacer, MT_1UP_BOX)
addHook("MobjThinker", TVReplacer, MT_EGGMAN_BOX)
addHook("MobjThinker", TVReplacer, MT_MIXUP_BOX)
addHook("MobjThinker", TVReplacer, MT_MYSTERY_BOX)
addHook("MobjThinker", TVReplacer, MT_GRAVITY_BOX)
addHook("MobjThinker", TVReplacer, MT_RECYCLER_BOX)
addHook("MobjThinker", TVReplacer, MT_SCORE1K_BOX)
addHook("MobjThinker", TVReplacer, MT_SCORE10K_BOX)
addHook("MobjThinker", TVReplacer, MT_FLAMEAURA_BOX)
addHook("MobjThinker", TVReplacer, MT_BUBBLEWRAP_BOX)
addHook("MobjThinker", TVReplacer, MT_THUNDERCOIN_BOX)