local JumpManager = CrashAddon.JumpManager

//handles ring handout and death of ring crate
local function RingBoxHit(target, inflictor)
	if target.ringhealth == nil
		target.ringhealth = 5
	end
	if inflictor and inflictor.valid
		if inflictor.type == MT_PLAYER and inflictor.player and 
				inflictor.player.pflags & PF_JUMPED
			target.state = S_RINGBOXHIT
			P_GivePlayerRings(inflictor.player, 2)
			JumpManager(inflictor, 7 * FRACUNIT)
			S_StartSound(target, sfx_rngbnc)
			target.ringhealth = $ - 1
			if target.ringhealth > 0
				return false
			else
				return true
			end
		else
			return true
		end
	end
end

//this prevents the monitor from bouncing up while the player is bouncing on it
local function RingNoBounce(mo)
	if mo.state == S_RINGBOXHIT
		A_ForceStop(mo, 0)
	end
end

//hooks
addHook("ShouldDamage", RingBoxHit, MT_RINGCRATE)
addHook("MobjThinker", RingNoBounce, MT_RINGCRATE)