//just gonna yoink this from Pikaspoop since optimization is good
print("=== Loading Crash Bandicoot, please wait... ===")

--simple command to load files from folders
local path = ""
local loadPath = function(file)
	dofile(path .. "/" .. file)
end

//this makes setting up global functions/variables exclusive to Crash much easier
rawset(_G, "CrashAddon", {})

//these are basically the global variables that are used in box tally mode
CrashAddon.boxtotal = -1
CrashAddon.boxcount = -1
CrashAddon.theresnitro = false
CrashAddon.nitrodetonator = -1
CrashAddon.boxtallymode = true

//this contains all the important stuff used to make crash function
path = "Library"
loadPath("Assets.lua")
loadPath("Functions.lua")
loadPath("PlayerVars.lua")

//this handles all the functions of the jump button
path = "Jump"
loadPath("DoubleJump.lua")
loadPath("SlideJump.lua")

//this handles all the functions of the spin & custom 1 buttons
path = "SpinOrCust1"
loadPath("TornadoSpinGlide.lua")
loadPath("CrawlAndSlide.lua")
loadPath("BodySlam.lua")

//this handles all the miscellaneous gameplay elements
path = "Misc"
loadPath("CrashDash.lua")
loadPath("HealthSystem.lua")
loadPath("Funnies.lua")

//this handles all the more asthetic stuff that had minimal impact on gameplay
path = "PassiveStuff"
loadPath("JumpStates.lua")
loadPath("Footsteps.lua")
//loadPath("DeathAnims.lua")

//this is all the thinkers for the custom objects
path = "MobjThinkers"
loadPath("AkuThinker.lua")
loadPath("BoxThinker.lua")
loadPath("RingBoxThinker.lua")
loadPath("NitroThinkers.lua")
loadPath("TNTThinker.lua")

//this is the main box counter and monitor replacement stuff
path = "BoxStuff"
loadPath("TVReplacer.lua")
loadPath("BoxCounter.lua")

//and this is the box tally hud
path = "HUD"
loadPath("BoxTally.lua")

path = nil
loadPath = nil

print("=== Crash Bandicoot has been loaded! ===")